import argparse
import asyncio
import sys
from . import server

def main():
    """Main entry point for the package."""
    # Parse command line arguments
    parser = argparse.ArgumentParser()
    parser.add_argument('--add-to-cline', action='store_true',
                      help='Add this server to Cline MCP settings and exit')
    args = parser.parse_args()

    # Handle --add-to-cline option
    if args.add_to_cline:
        server.add_to_cline_settings()
        sys.exit(0)

    # Run the server normally
    asyncio.run(server.main())

__all__ = ['main', 'server']
